<?php

class Branch extends CI_Model
{
    public $brCode;
    public $brDesc;
    public $address;
    public $contactInfo;
    public $editDate;
    public $creationDate;

    public function __construct()
	{
		parent::__construct();

		$this->load->database();
    }

    public function getbrCodeAndDesc()
    {
        $this->db->select("brCode, brDesc");
        return $this->db->get("branch");
    }

    public function getbrCodeAndDescWithBranchExcempt()
    {
        $this->db->select("brCode, brDesc");
        $this->db->where("brCode NOT IN (SELECT brCode FROM branchexemption)");
        return $this->db->get("branch");
    }
}